import aluvia.all as pdk
import ipkiss3.all as i3


cell = pdk.StripWaveguide()
cell_lay = cell.Layout()
cell_lay.visualize(annotate=True)
xsection_path = i3.Shape([(1.0, -5.0), (1.0, 5.0)])
xs = cell_lay.cross_section(cross_section_path=xsection_path)
xs.visualize()
